* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

a {
    text-decoration: none;
}

body {
    font-family: "Work Sans", sans-serif;
    display: grid;
}

/* HEADER */
.header-wrapper {
    padding-top: 100px;
    padding-bottom: 125px;
    background-color: #de2b24;
    display: grid;
    width: 100%;
}

.header-text {
    text-align: center;
    position: relative;
}
.header-title {
    color: #fff;
    font-weight: 600;
    font-size: 36px;
}

.header-subtitle {
    font-size: 20px;
    margin-top: 9px;
    color: #fff;
    font-weight: 300;
}

.header-text::after {
    position: absolute;
    content: "";
    width: 48px;
    height: 5px;
    background-color: #fff;
    top: 120%;
    left: 50%;
    transform: translateX(-50%);
}
/* END HEADER */

/* PORTFOLIO */
.portfolio {
    margin-top: 67px;
}

.container {
    max-width: 1030px;
    margin: 0 auto;
}
.portfolio-container {
    margin-top: 67px;
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    text-align: center;
}

.portfolio-card {
    width: 257px;
    height: 253px;
    background-color: #f35e59;
    margin-left: -0.36rem;
}

.portfolio-card__wrapper {
    transition: all 0.5s ease;
}

.portfolio-card__wrapper:hover {
    transform: scale(1.15);
}

.portfolio-card__wrapper {
    width: 100%;
    height: 100%;
    position: relative;
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: repeat(3, 1fr);
}

.portfolio-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: all 0.5s ease-in-out;
}

.portfolio-image__camera {
    object-position: 88% 100%;
}

.portfolio-card__info {
    height: 100%;
    width: 100%;

    /* grid-row: 2;  */
    grid-row-start: 2;
    text-align: center;
}

.portfolio-card__text {
    margin-top: 20px;
}

.portfolio-card__title {
    font-size: 26px;
    font-weight: 600;
    color: #fff;
}

.portfolio-card__subtitle {
    font-size: 16px;
    color: #fff;
    font-weight: 600;
    margin-top: 4px;
}

/* END PORTFOLIO */

/* FORM DATA */
.form-data {
    padding-top: 100px;
    padding-bottom: 110px;
    background-color: #1287bf;
    padding: 100px 20px 110px 20px;
}
.form-data__text {
    text-align: center;
    color: #fff;
}

.form-data__title {
    text-transform: capitalize;
    font-size: 36px;
    font-weight: 700;
}
.form-data__subtitle {
    font-weight: 200;
    font-size: 20px;
    margin-top: 5px;
}

.form-data__form {
    text-align: center;
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: repeat(1, 1fr);
    justify-content: center;
    justify-items: center;
}

.form-button {
    margin-top: 20px;
    width: 50px;
    height: 50px;
    border: 2px solid #fff;
    background-color: transparent;
    border-radius: 50%;
    position: relative;
    cursor: pointer;
}

.arrow-down {
    border: solid #fff;
    border-width: 0 2px 2px 0;
    display: inline-block;
    padding: 6px;
    transform: rotate(45deg);
}

.form-text {
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: auto;
    margin: auto;
}

.main-form {
    border-radius: 5px;
    min-height: 450px;
    max-width: 683px;
    width: 100%;
    padding: 35px 10px 40px 10px;
    background-color: #fff;
    position: relative;
    margin-top: 52px;
    display: grid;
    grid-template-columns: auto;
    /* grid-template-rows: repeat(2, auto); */
}

.main-form::before {
    content: "";
    border: 40px solid transparent;
    border-bottom: 35px solid #fff;
    position: absolute;
    border-radius: 5px;
    top: -34px;
    left: 50%;
    transform: translate(-50%, -50%);
}

.close-btn {
    cursor: pointer;
    position: absolute;
    width: 40px;
    height: 40px;
    border: 2px solid #fff;
    border-radius: 50%;
    background-color: #de2b24;
    right: -20px;
    top: -20px;
}

.close {
    width: 100%;
    height: 100%;
    position: relative;
}

.close:before,
.close:after {
    position: absolute;
    content: "";
    width: 20px;
    height: 2px;
    background: #fff;
    top: 50%;
    left: 23%;
    transform: translate(-25%, -50%);
}

.close:before {
    transform: rotate(50deg);
}

.close:after {
    transform: rotate(-50deg);
}

.form-text {
    text-align: center;
    font-size: 15px;
    font-weight: 300;
    color: #828282;
    line-height: 21px;
}

.form-wrapper {
    width: 100%;
    height: 100%;
    margin-top: 40px;
}

.user-form {
    display: grid;
    grid-auto-columns: minmax(auto, 450px);
    /* grid-template-rows: repeat(4, auto); */
    justify-content: center;
    justify-items: center;
}

.user-form__input {
    width: 100%;
    /* margin: 0 auto; */
    margin-top: 10px;
    padding: 18px 23px;
    border: 1px solid #d8d8d8;
    border-radius: 5px;
    font-size: 14px;
    font-weight: 400;
    color: #d8d8d8;
}
.user-form__input:first-child {
    margin-top: 0;
}

.user-form__input:focus {
    box-shadow: 0 0 1px 1px #1287bf;
    outline: none;
    border-color: #1287bf;
}

.submit-btn {
    margin-top: 38px;
    /* padding: 17px 33px; */
    border: none;
    max-width: 161px;
    width: 100%;
    height: 46px;
    background-color: #de2b24;
    color: #fff;
    text-transform: uppercase;
    border-radius: 5px;
    font-weight: 600;
    transition: all 0.3s ease;
}

/* END FORM DATA */

/* FOOTER */
.footer {
    padding-top: 90px;
    background: #2a2a2a;
}

.footer-title {
    text-align: center;
    color: #fff;
    font-weight: 600;
    font-size: 29px;
}

.footer-social {
    text-align: center;
    display: grid;
    grid-template-columns: repeat(4, auto);
    justify-content: center;
    grid-column-gap: 20px;
    margin-top: 23px;
}

.footer-social__card {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 11px;
    width: 47px;
    height: 47px;
    border: 2px solid #515151;
    border-radius: 4px;

    /* margin-right: 21px; */
    transition: all 0.3s, ease;
}

.footer-social__card:last-child {
    margin-right: 0;
}
.footer-social__card:hover {
    border-color: #de2b24;
}

.footer-subtitle {
    color: #fff;
    text-align: center;
    color: #cecece;
    margin-top: 37px;
    font-size: 14px;
}

.footer-form {
    text-align: center;
}

.footer-form {
    display: grid;
    grid-auto-columns: minmax(auto, 683px);
    padding: 0 10px;
}

.footer-form__input {
    background-color: #515151;
    color: #fff;
    border: none;
    border-radius: 0px;
    width: 100%;
}

.footer-submit {
    background-color: transparent;
    font-weight: 600;
    text-transform: none;
    border: 2px solid #515151;
    font-weight: bold;
    transition: all 0.8s, ease;
}

.footer-submit:hover {
    border-color: #de2b24;
}

.footer-copyright {
    margin-top: 85px;
    padding: 25px 0;
    text-align: center;
    background-color: #515151;
    color: #8b8b8b;
    font-size: 14px;
}

.footer-form__input:focus {
    box-shadow: 0 0 1px 1px #de2b24;
    outline: none;
    border-color: #de2b24;
}

/* END FOOTER */

@media (min-width: 520px) {
    .portfolio-container {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 1044px) {
    .portfolio-container {
        grid-template-columns: repeat(4, 1fr);
    }
}
